import { ApiModule, FunctionId, HooksMiddleware } from '../';
import { BaseTrigger } from '../api';
import { ApiFunction, Route } from '../types';
import { AbstractRouter } from './base';
export declare type LoadConfig = {
    root: string;
    source: string;
    routes: Route[];
};
export declare type ApiRoute<T = BaseTrigger> = {
    fn: ApiFunction;
    file: string;
    functionName: string;
    trigger: T;
    middleware: HooksMiddleware[];
    functionId: FunctionId;
    useInputMetadata?: boolean;
};
export declare function parseApiModule(mod: ApiModule, file: string, router: AbstractRouter): ApiRoute<BaseTrigger>[];
